Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.ee
Class PersistenceManagerUtils

    java.lang.Object
      |
      +--com.solarmetric.kodo.ee.PersistenceManagerUtils

All Implemented Interfaces:
  PersistenceManagerUtilsMBean

public class PersistenceManagerUtils
extends Object
implements PersistenceManagerUtilsMBean

Constructor Summary
`PersistenceManagerUtils()`

Method Summary
`String` | `listAllInstances(String pmfJndiName)`
`String` | `listInstances(String pmfJndiName, Class candidate)`
`Map` | `listPersistenceManagerProperties(String pmfJndiName)`
`Set` | `listRegisteredClasses()`
`(package private) static PersistenceManagerFactory` | `lookup(String pmfJndiName)`
`String` | `printPersistenceManagerFactoryInformation(String pmfJndiName)`
`String` | `printPersistenceManagerInformation(String pmfJndiName)`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistenceManagerUtils

    public PersistenceManagerUtils()

Method Detail

### lookup

    static PersistenceManagerFactory lookup(String pmfJndiName)
                                     throws NamingException

### printPersistenceManagerFactoryInformation

    public String printPersistenceManagerFactoryInformation(String pmfJndiName)
                                                     throws NamingException

  Specified by:
    `printPersistenceManagerFactoryInformation` in interface `PersistenceManagerUtilsMBean`

### printPersistenceManagerInformation

    public String printPersistenceManagerInformation(String pmfJndiName)
                                              throws NamingException

  Specified by:
    `printPersistenceManagerInformation` in interface `PersistenceManagerUtilsMBean`

### listPersistenceManagerProperties

    public Map listPersistenceManagerProperties(String pmfJndiName)
                                         throws Exception

  Specified by:
    `listPersistenceManagerProperties` in interface `PersistenceManagerUtilsMBean`

### listAllInstances

    public String listAllInstances(String pmfJndiName)
                            throws NamingException

  Specified by:
    `listAllInstances` in interface `PersistenceManagerUtilsMBean`

### listInstances

    public String listInstances(String pmfJndiName,
                                Class candidate)
                         throws NamingException

  Specified by:
    `listInstances` in interface `PersistenceManagerUtilsMBean`

### listRegisteredClasses

    public Set listRegisteredClasses()

  Specified by:
    `listRegisteredClasses` in interface `PersistenceManagerUtilsMBean`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.